## xrayutilities 1.7.12

=== meson_options.txt ===
option('use_openmp', type: 'feature', value: 'enabled', description: 'Use OpenMP support')

## xrayutilities 1.6.0

=== debian/changelog ===
xrayutilities (1.6.0-4) unstable; urgency=medium

  * Source upload to migrate into testing

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 24 Aug 2020 16:01:27 +0200

xrayutilities (1.6.0-3) unstable; urgency=medium

  [ Sebastien Delafond ]
  * Merge with existing https://salsa.debian.org/science-team/python-xrayutilities

  [ Picca Frédéric-Emmanuel ]
  * d/control: Standards-Version bumped 4.5.0 (nothing to do)
  * d/control: Split binary package xrayutilities into python3-xrayutilities,
               python3-xrayutilities-dbg and python-xrayutilities-doc, to follow
               the usual python package naming.
  * d/p/0005-workaround-bug-in-scipy-1.5.0.patch: Added to fix FTBFS
  * d/p/0006-issue-101-convert-to-scipy.optimize.Bounds-and-circu.patch
  * d/t/control: fix autopkgtests and increase verbosity.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 06 Aug 2020 17:22:34 +0200

xrayutilities (1.6.0-2) unstable; urgency=medium

  * Change license shortname to GPL-2+

 -- Sebastien Delafond <seb@debian.org>  Fri, 10 Apr 2020 09:01:53 +0200

xrayutilities (1.6.0-1) unstable; urgency=medium

  * First release (Closes: #723017)

 -- Sebastien Delafond <seb@debian.org>  Mon, 23 Mar 2020 16:17:23 +0100

=== debian/control ===
Source: xrayutilities
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Eugen Wintersberger <eugen.wintersberger@gmail.com>,
           Alexandre Marie <alexandre.marie@synchrotron-soleil.fr>,
           Sebastien Delafond <seb@debian.org>,
           Picca Frédéric-Emmanuel <picca@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all-dbg,
               python3-all-dev,
               python3-h5py,
               python3-h5py-dbg,
               python3-lmfit,
               python3-matplotlib,
               python3-matplotlib-dbg,
               python3-numpy,
               python3-numpy-dbg,
               python3-numpydoc,
               python3-scipy,
               python3-scipy-dbg,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-tk,
               python3-unittest2
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/science-team/python-xrayutilities
Vcs-Git: https://salsa.debian.org/science-team/python-xrayutilities.git
Homepage: https://xrayutilities.sourceforge.io

Package: xrayutilities
Depends: python3-xrayutilities, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: python3-xrayutilities
Architecture: any
Section: python
Depends: python3-lmfit,
         python3-matplotlib,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: python-xrayutilities-doc
Breaks: xrayutilities (<< 1.6.0-3)
Replaces: xrayutilities (<< 1.6.0-3)
Description: X-rays data reduction and analysis (Python 3)
 xrayutilities is a collection of scripts used to analyze X-rays
 diffraction data. It consists of a Python package and several
 routines coded in C. It especially useful for the reciprocal space
 conversion of diffraction data taken with linear and area detectors.
 .
 This is the Python 3 version of the package.

Package: python3-xrayutilities-dbg
Architecture: any
Section: debug
Depends: python3-dbg,
         python3-h5py-dbg,
         python3-numpy-dbg,
         python3-scipy-dbg,
         python3-xrayutilities (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: X-rays data reduction and analysis (Python3 debug ext)
 xrayutilities is a collection of scripts used to analyze X-rays
 diffraction data. It consists of a Python package and several
 routines coded in C. It especially useful for the reciprocal space
 conversion of diffraction data taken with linear and area detectors.
 .
 This package contains the extension built for the Python 3 debug
 interpreter.

Package: python-xrayutilities-doc
Architecture: all
Section: doc
Depends: libjs-mathjax, ${misc:Depends}, ${sphinxdoc:Depends}
Description: X-rays data reduction and analysis (documentation)
 xrayutilities is a collection of scripts used to analyze x-ray
 diffraction data. It consists of a Python package and several
 routines coded in C. It especially useful for the reciprocal space
 conversion of diffraction data taken with linear and area detectors.
 .
 This package includes the manual in HTML format.

## xrayutilities 1.7.1

=== debian/changelog ===
xrayutilities (1.7.1-1) unstable; urgency=medium

  * New upstream version 1.7.1
  * Move transitional package xrayutilities to oldlibs/optional per policy 4.0.1.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 06 Jan 2021 15:26:59 +0100

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,6 @@
 Package: xrayutilities
 Depends: python3-xrayutilities, ${misc:Depends}
 Architecture: all
-Priority: optional
 Section: oldlibs
 Description: transitional package
  This is a transitional package. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# copy the tests to the build dir to be able to pass nose
export PYBUILD_NAME=xrayutilities
export PYBUILD_BEFORE_TEST=cp -r tests {build_dir}; cp -r examples {build_dir}; cp -r lib/xrayutilities/materials/data {build_dir}/xrayutilities/materials/
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/tests; rm -rf {build_dir}/xrayutilities/materials/data; rm -rf {build_dir}/examples

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	rm -rf build
	dh_auto_clean

override_dh_strip:
	dh_strip --no-automatic-dbgsym

override_dh_auto_install:
	dh_numpy3
	dh_auto_install

override_dh_auto_test:
	dh_auto_test -- -s custom --test-args="{interpreter} {dir}/setup.py egg_info -e {build_dir}; cd {build_dir}; {interpreter} -m unittest2 discover -v;"

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	# build doc
	dh_auto_build -- -s custom --build-args="env PYTHONPATH={build_dir} {interpreter} setup.py build_doc"
	dh_installdocs -p python-xrayutilities-doc build/sphinx/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif

=== debian/tests/control ===
Test-Command: set -efu
  ; cp -r tests "$AUTOPKGTEST_TMP"
  ; cp -r examples "$AUTOPKGTEST_TMP"
  ; mkdir -p "$AUTOPKGTEST_TMP"/xrayutilities/materials
  ; cp -r lib/xrayutilities/materials/data "$AUTOPKGTEST_TMP"/xrayutilities/materials
  ; for py in $(py3versions -r 2>/dev/null)
  ; do cd "$AUTOPKGTEST_TMP"
  ; echo "Testing with $py:"
  ; $py -m unittest2 discover -v
  ; done
Depends: python3-all, python3-unittest2, python3-xrayutilities
Restrictions: allow-stderr

Test-Command: set -efu
  ; cp -r tests "$AUTOPKGTEST_TMP"
  ; cp -r examples "$AUTOPKGTEST_TMP"
  ; mkdir -p "$AUTOPKGTEST_TMP"/xrayutilities/materials
  ; cp -r lib/xrayutilities/materials/data "$AUTOPKGTEST_TMP"/xrayutilities/materials
  ; for py in $(py3versions -r 2>/dev/null)
  ; do cd "$AUTOPKGTEST_TMP"
  ; echo "Testing with $py-dbg:"
  ; $py-dbg -m unittest2 discover -v
  ; done
Depends: python3-all-dbg, python3-unittest2, python3-xrayutilities-dbg
Restrictions: allow-stderr

## xrayutilities 1.7.3

=== debian/changelog ===
xrayutilities (1.7.3-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 19:28:28 +0000

xrayutilities (1.7.3-1) unstable; urgency=medium

  [ Neil Williams ]
  * Update control to add Debian PaN maintainers

  [ Picca Frédéric-Emmanuel ]
  * New upstream version 1.7.3
  * Switched to pytest for the unittest during build and autopkgtests.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 06 Jan 2022 16:54:04 +0100

xrayutilities (1.7.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Patch: matplotlib 3.5 support (Closes: #999519)

 -- Stefano Rivera <stefanor@debian.org>  Mon, 22 Nov 2021 21:22:36 -0400

xrayutilities (1.7.1-2) unstable; urgency=medium

  * Corrected Profile nodocs -> nodoc
  * Bug fix: "Removal of the python3-*-dbg packages in sid/bookworm",
    thanks to Matthias Klose (Closes: #994386).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 19 Sep 2021 14:54:46 +0200

=== debian/control ===
Source: xrayutilities
Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
Uploaders:
 Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>,
 Eugen Wintersberger <eugen.wintersberger@gmail.com>,
 Alexandre Marie <alexandre.marie@synchrotron-soleil.fr>,
 Sebastien Delafond <seb@debian.org>,
 Picca Frédéric-Emmanuel <picca@debian.org>,
Section: science
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 dh-sequence-numpy3,
 dh-sequence-python3,
 python3-all-dev,
 python3-h5py,
 python3-lmfit,
 python3-matplotlib,
 python3-numpy,
 python3-numpydoc,
 python3-pytest,
 python3-scipy,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-tk,
 python3-unittest2,
Build-Depends-Indep:
 dh-sequence-sphinxdoc <!nodoc>,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/science-team/python-xrayutilities
Vcs-Git: https://salsa.debian.org/science-team/python-xrayutilities.git
Homepage: https://xrayutilities.sourceforge.io

Package: xrayutilities
Depends:
 python3-xrayutilities,
 ${misc:Depends},
Architecture: all
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: python3-xrayutilities
Architecture: any
Section: python
Depends:
 python3-lmfit,
 python3-matplotlib,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 python-xrayutilities-doc,
Breaks:
 xrayutilities (<< 1.6.0-3),
Replaces:
 xrayutilities (<< 1.6.0-3),
Description: X-rays data reduction and analysis (Python 3)
 xrayutilities is a collection of scripts used to analyze X-rays
 diffraction data. It consists of a Python package and several
 routines coded in C. It especially useful for the reciprocal space
 conversion of diffraction data taken with linear and area detectors.
 .
 This is the Python 3 version of the package.

Package: python-xrayutilities-doc
Architecture: all
Section: doc
Depends:
 libjs-mathjax,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: X-rays data reduction and analysis (documentation)
 xrayutilities is a collection of scripts used to analyze x-ray
 diffraction data. It consists of a Python package and several
 routines coded in C. It especially useful for the reciprocal space
 conversion of diffraction data taken with linear and area detectors.
 .
 This package includes the manual in HTML format.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# copy the tests to the build dir to be able to pass nose
export PYBUILD_NAME=xrayutilities
export PYBUILD_BEFORE_TEST=cp -r tests {build_dir}; cp -r examples {build_dir}; cp -r lib/xrayutilities/materials/data {build_dir}/xrayutilities/materials/
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/tests; rm -rf {build_dir}/xrayutilities/materials/data; rm -rf {build_dir}/examples

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_clean:
	rm -rf build

override_dh_auto_build-arch:
	dh_auto_build

override_dh_auto_build-indep: override_dh_auto_build-arch
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	dh_auto_build -- -s custom --build-args="env PYTHONPATH={build_dir} {interpreter} setup.py build_doc"
endif

execute_after_dh_installdocs:
	dh_installdocs -p python-xrayutilities-doc build/sphinx/html

=== debian/tests/control ===
Test-Command: set -efu
  ; cp -r tests "$AUTOPKGTEST_TMP"
  ; cp -r examples "$AUTOPKGTEST_TMP"
  ; mkdir -p "$AUTOPKGTEST_TMP"/xrayutilities/materials
  ; cp -r lib/xrayutilities/materials/data "$AUTOPKGTEST_TMP"/xrayutilities/materials
  ; for py in $(py3versions -r 2>/dev/null)
  ; do cd "$AUTOPKGTEST_TMP"
  ; echo "Testing with $py:"
  ; $py -m pytest
  ; done
Depends:
 python3-all,
 python3-pytest,
 python3-xrayutilities,
Restrictions: allow-stderr

## xrayutilities 1.7.4

=== debian/changelog ===
xrayutilities (1.7.4-1build3) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 17:15:49 +0000

xrayutilities (1.7.4-1build2) noble; urgency=medium

  * No-change rebuild to build with python3.12 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Nov 2023 19:25:28 +0100

xrayutilities (1.7.4-1build1) lunar; urgency=medium

  * No-change rebuild with Python 3.11 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 15 Mar 2023 06:39:34 +0000

xrayutilities (1.7.4-1) unstable; urgency=medium

  * New upstream version 1.7.4
  * d/control: B-D pybuild-plugin-pyproject thanks to Lucas Nussbaum
    (Closes: #1017223)
  * d/rules: build the documentation with sphinx instead of
    the upstream build_doc target
  * d/rules: fix data installation with the new setuptools
  * Update standards version to 4.6.1, no changes needed.
  * d/control: Added RRR

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 31 Oct 2022 16:26:35 +0100

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
  dh-python,
  dh-sequence-numpy3,
  dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all-dev,
  python3-h5py,
  python3-lmfit,
@@ -28,10 +29,11 @@
  python3-unittest2,
 Build-Depends-Indep:
  dh-sequence-sphinxdoc <!nodoc>,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/science-team/python-xrayutilities
 Vcs-Git: https://salsa.debian.org/science-team/python-xrayutilities.git
 Homepage: https://xrayutilities.sourceforge.io
+Rules-Requires-Root: no
 
 Package: xrayutilities
 Depends:

=== debian/tests/control ===
Test-Command: set -efu
  ; cp -r tests "$AUTOPKGTEST_TMP"
  ; cp -r examples "$AUTOPKGTEST_TMP"
  ; for py in $(py3versions -r 2>/dev/null)
  ; do cd "$AUTOPKGTEST_TMP"
  ; echo "Testing with $py:"
  ; $py -m pytest
  ; done
Depends:
 python3-all,
 python3-pytest,
 python3-xrayutilities,
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://pypi.python.org/packages/source/x/xrayutilities/ \
 xrayutilities-(.+)\.tar\.gz debian uupdate

## xrayutilities 1.7.8

=== debian/changelog ===
xrayutilities (1.7.8-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 1.7.8 (Closes: #1074630)
  * Remove obsolete python3-unittest2 build dependency (Closes: #1058969)
  * Drop transitional package xrayutilities (Closes: #1038288)
  * Apply Multi-Arch hint
  * Remove dh-python dependency duplicated by dh-sequence-python3
  * Refresh patches

 -- Alexandre Detiste <tchet@debian.org>  Wed, 03 Jul 2024 14:18:43 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,11 @@
  Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>,
  Eugen Wintersberger <eugen.wintersberger@gmail.com>,
  Alexandre Marie <alexandre.marie@synchrotron-soleil.fr>,
- Sebastien Delafond <seb@debian.org>,
  Picca Frédéric-Emmanuel <picca@debian.org>,
 Section: science
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
  dh-sequence-numpy3,
  dh-sequence-python3,
  pybuild-plugin-pyproject,
@@ -26,7 +24,6 @@
  python3-sphinx,
  python3-sphinx-rtd-theme,
  python3-tk,
- python3-unittest2,
 Build-Depends-Indep:
  dh-sequence-sphinxdoc <!nodoc>,
 Standards-Version: 4.6.1
@@ -34,15 +31,6 @@
 Vcs-Git: https://salsa.debian.org/science-team/python-xrayutilities.git
 Homepage: https://xrayutilities.sourceforge.io
 Rules-Requires-Root: no
-
-Package: xrayutilities
-Depends:
- python3-xrayutilities,
- ${misc:Depends},
-Architecture: all
-Section: oldlibs
-Description: transitional package
- This is a transitional package. It can safely be removed.
 
 Package: python3-xrayutilities
 Architecture: any
@@ -69,6 +57,7 @@
 
 Package: python-xrayutilities-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends:
  libjs-mathjax,

## xrayutilities 1.7.10

=== debian/changelog ===
xrayutilities (1.7.10-1build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 21 Oct 2025 17:54:53 +0000

xrayutilities (1.7.10-1) unstable; urgency=medium

  * New upstream version 1.7.10
  * Bug fix: "fails tests with scipy 1.15: cannot import name
    &#39;derivative&#39; from &#39;scipy.misc&#39;", thanks to Drew
    Parsons (Closes: #1096262).
  * d/t/control: test all supported Python version

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 12 Mar 2025 09:44:49 +0100

xrayutilities (1.7.8-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against updated lmfit-py (Closes: #1094706).
  * Update Standards-Version to 4.7.0 (no changes required).
  * Add some lintian overrides to reduce noise.
  * Install examples into python-xrayutilities-doc.

 -- Stuart Prescott <stuart@debian.org>  Wed, 12 Feb 2025 00:26:35 +1100

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
  python3-tk,
 Build-Depends-Indep:
  dh-sequence-sphinxdoc <!nodoc>,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/science-team/python-xrayutilities
 Vcs-Git: https://salsa.debian.org/science-team/python-xrayutilities.git
 Homepage: https://xrayutilities.sourceforge.io

=== debian/tests/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Test-Command: set -efu
   ; cp -r tests "$AUTOPKGTEST_TMP"
   ; cp -r examples "$AUTOPKGTEST_TMP"
-  ; for py in $(py3versions -r 2>/dev/null)
+  ; for py in $(py3versions -s 2>/dev/null)
   ; do cd "$AUTOPKGTEST_TMP"
   ; echo "Testing with $py:"
   ; $py -m pytest

## xrayutilities 1.7.12

=== debian/changelog ===
xrayutilities (1.7.12-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - fixes timeout with lmfit 1.3.4. Closes: #1120471.
    - Build-Depends: python3-mesonpy
  * new debian patches
    - 0005-test-relax-tolerance.patch relaxes test
      tolerance in test_math_peak_fit.py from digit=7 to digit=6
      Needed for test_pvoigtfit_linear to pass.
    - 0006-no-sphinx_pyproject.patch drops use of SphinxConfig from
      sphinx_pyproject, which is not (yet) packaged for debian

 -- Drew Parsons <dparsons@debian.org>  Mon, 17 Nov 2025 21:49:30 +0100

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
  dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all-dev,
+ python3-mesonpy,
  python3-h5py,
  python3-lmfit,
  python3-matplotlib,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export PYBUILD_NAME=xrayutilities
export PYBUILD_BEFORE_TEST=cp -r examples {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/examples

# get the default python3 interpreter version
PY3VER := $(shell py3versions -dv)

%:
	dh $@ --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	dh_auto_build -- -s custom -p $(PY3VER) --build-args="env PYTHONPATH={build_dir} {interpreter} -m sphinx -N -bhtml doc/source build/html"
	dh_installdocs -p python-xrayutilities-doc build/html
	dh_sphinxdoc
	rm -rf build
endif
